Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.data.basic
Class BasicMLData

    java.lang.Object
      org.encog.ml.data.basic.BasicMLData

All Implemented Interfaces:
  Serializable, Cloneable, MLData

Direct Known Subclasses:
  BasicNeuralData, ImageMLData

    public class BasicMLData

extends Object
implements MLData, Serializable, Cloneable

Basic implementation of the MLData interface that stores the data in an array.

Author:
  jheaton
See Also:
  Serialized Form

Constructor Summary
`BasicMLData(double[] d)` Construct this object with the specified data.
`BasicMLData(int size)` Construct this object with blank data and a specified size.
`BasicMLData(MLData d)` Construct a new BasicMLData object from an existing one.

Method Summary
`void` | `add(int index, double value)` Add a value to the specified index.
`void` | `clear()` Clear any data to zero.
`MLData` | `clone()` Clone this object.
`double[]` | `getData()`
`double` | `getData(int index)` Get the element specified index value.
`void` | `setData(double[] theData)` Set all of the data as an array of doubles.
`void` | `setData(int index, double d)` Set the specified element.
`int` | `size()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicMLData

    public BasicMLData(double[] d)

  Construct this object with the specified data.

  Parameters:
    `d` - The data to construct this object with.

### BasicMLData

    public BasicMLData(int size)

  Construct this object with blank data and a specified size.

  Parameters:
    `size` - The amount of data to store.

### BasicMLData

    public BasicMLData(MLData d)

  Construct a new BasicMLData object from an existing one. This makes a copy of an array.

  Parameters:
    `d` - The object to be copied.

Method Detail

### add

    public final void add(int index,
                          double value)

  Add a value to the specified index.

  Specified by:
    `add` in interface `MLData`
  Parameters:
    `index` - The index to add to.
    `value` - The value to add.

### clear

    public final void clear()

  Clear any data to zero.

  Specified by:
    `clear` in interface `MLData`

### clone

    public final MLData clone()

  Clone this object.

  Specified by:
    `clone` in interface `MLData`
  Overrides:
    `clone` in class `Object`
  Returns:
    A cloned version of this object.

### getData

    public final double[] getData()

  Specified by:
    `getData` in interface `MLData`
  Returns:
    All of the elements as an array.

### getData

    public final double getData(int index)

  Get the element specified index value.

  Specified by:
    `getData` in interface `MLData`
  Parameters:
    `index` - The index to read.
  Returns:
    The value at the specified inedx.

### setData

    public final void setData(double[] theData)

  Set all of the data as an array of doubles.

  Specified by:
    `setData` in interface `MLData`
  Parameters:
    `theData` - An array of doubles.

### setData

    public final void setData(int index,
                              double d)

  Set the specified element.

  Specified by:
    `setData` in interface `MLData`
  Parameters:
    `index` - The index to set.
    `d` - The data for the specified element.

### size

    public final int size()

  Specified by:
    `size` in interface `MLData`
  Returns:
    How many elements are stored in this object.

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.